# SoLabel Class Reference
[Nodes]

`#include <Inventor/nodes/SoLabel.h>`

Inheritance diagram for SoLabel:

List of all members.

## Detailed Description

The SoLabel class is a node for holding label information in a scene graph.

Use this node as a convenient way of labeling nodes or subgraphs within a scene graph.

SoLabel nodes does not influence traversal in any way for any of the builtin actions.

## Public Member Functions

| SoLabel (void)

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFName | label

## Protected Member Functions

virtual | ~SoLabel ()

## Constructor & Destructor Documentation

SoLabel::SoLabel | ( | void |  | ) |

| Constructor.

SoLabel::~SoLabel | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoLabel::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoNode.

## Member Data Documentation

SoSFName SoLabel::label

| Label text.

The documentation for this class was generated from the following files:

- SoLabel.h
- SoLabel.cpp